Bug 169111 - LTC10091-64 bit stack not sufficiently aligned for setjmp
LTC10091-64 bit stack not sufficiently aligned for setjmp
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: gcc (Show other bugs)
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Depends On: 128360
Blocks: 161600 168424
  Show dependency treegraph
Reported: 2005-09-23 00:37 EDT by Alexandre Oliva
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2006-0147
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-15 10:29:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Comment 1 Alexandre Oliva 2005-09-23 02:55:09 EDT
Created attachment 119177 [details]
Conservative fix for the problem

I started out by fixing STACK_BOUNDARY, such that the compiler would emit code
to preserve the correct stack alignment, but also assume such alignment.  I
decided this wasn't such a good idea, for binary compatibility, and instead
modified the compiler such that it would preserve the additional alignment, but
not rely on it.  

This will hopefully be enough to fix the problem, but I haven't been able to
actually verify that the problem is fixed, other than by inspecting the
generated assembly code and verifying that the generated code for the testcase
is the same in both my original fix and the one I present here.
Comment 10 Red Hat Bugzilla 2006-03-15 10:29:05 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.